Extending Qt Creator Manual | TypingSettings

Extending Qt Creator Manual 4.5.2

# TypingSettings Class

(TextEditor::TypingSettings)

- List of all members, including inherited members

## Public Types

enum | SmartBackspaceBehavior { BackspaceNeverIndents, BackspaceFollowsPreviousIndents, BackspaceUnindents }
enum | TabKeyBehavior { TabNeverIndents, TabAlwaysIndents, TabLeadingWhitespaceIndents }

## Public Functions

| TypingSettings()
bool | equals(const TypingSettings &ts) const
void | fromMap(const QString &prefix, const QVariantMap &map)
void | fromSettings(const QString &category, const QSettings *s)
bool | tabShouldIndent(const QTextDocument *document, const QTextCursor &cursor, int *suggestedPosition) const
void | toMap(const QString &prefix, QVariantMap *map) const
void | toSettings(const QString &category, QSettings *s) const

## Member Type Documentation

### enum TypingSettings::SmartBackspaceBehavior

### enum TypingSettings::TabKeyBehavior

## Member Function Documentation

### TypingSettings::TypingSettings()

Default constructs an instance of TypingSettings.

### bool TypingSettings::equals(const TypingSettings &ts) const

### void TypingSettings::fromMap(const QString &prefix, const QVariantMap &map)

### void TypingSettings::fromSettings(const QString &category, const QSettings *s)

### bool TypingSettings::tabShouldIndent(const QTextDocument *document, const QTextCursor &cursor, int *suggestedPosition) const

### void TypingSettings::toMap(const QString &prefix, QVariantMap *map) const

### void TypingSettings::toSettings(const QString &category, QSettings *s) const